# class PlpUID

A class, representing the UIDs of a file on the Psion. More...

Definition | `#include <plpdirent.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PlpUID ()
- PlpUID (const u_int32_t u1, const u_int32_t u2, const u_int32_t u3)
- u_int32_t operator[] (int idx)

## Detailed Description

A class, representing the UIDs of a file on the Psion. Every File on the Psion has a unique UID for determining the application-mapping. This class stores these UIDs. An object of this class is contained in every PlpDirent object.

PlpUID ()

### PlpUID

Default constructor.

PlpUID (const u_int32_t u1, const u_int32_t u2, const u_int32_t u3)

### PlpUID

Constructor. Create an instance, presetting all thre uid values.

u_int32_t operator[] (int idx)

### operator[]

Retrieve a UID value.

Parameters:

idx | The index of the desired UID. Range must be (0..2), otherwise an assertion is triggered.

- Author: Fritz Elfert <felfert@to.com>
- Generated: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.